| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Static Public Member Functions | List of all members
Ogre::Id Class Reference

Usage: OGRE_NEW SceneNode( Id::generateNewId< Node >() ) More...

`#include <OgreId.h>`

## Static Public Member Functions
template<typename T >
static IdType | generateNewId ()

## Detailed Description

Usage: OGRE_NEW SceneNode( Id::generateNewId< Node >() )

## Member Function Documentation

## ◆ generateNewId()

template<typename T >

static IdType Ogre::Id::generateNewId | ( |  | ) |
| inline static

The documentation for this class was generated from the following file:

- OgreId.h